org.keycloak.models.session

## Interface UserSessionPersisterProvider

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    DisabledUserSessionPersisterProvider, JpaUserSessionPersisterProvider, MongoUserSessionPersisterProvider

      public interface UserSessionPersisterProvider
      extends Provider

  Author:
    Marek Posolda

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearDetachedUserSessions()`
    `void` | `createClientSession(ClientSessionModel clientSession, boolean offline)`
    `void` | `createUserSession(UserSessionModel userSession, boolean offline)`
    `int` | `getUserSessionsCount(boolean offline)`
    `List<UserSessionModel>` | `loadUserSessions(int firstResult, int maxResults, boolean offline)`
    `void` | `onClientRemoved(RealmModel realm, ClientModel client)`
    `void` | `onRealmRemoved(RealmModel realm)`
    `void` | `onUserRemoved(RealmModel realm, UserModel user)`
    `void` | `removeClientSession(String clientSessionId, boolean offline)`
    `void` | `removeUserSession(String userSessionId, boolean offline)`
    `void` | `updateAllTimestamps(int time)`
    `void` | `updateUserSession(UserSessionModel userSession, boolean offline)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### createUserSession

          void createUserSession(UserSessionModel userSession,
                                 boolean offline)

    - #### createClientSession

          void createClientSession(ClientSessionModel clientSession,
                                   boolean offline)

    - #### updateUserSession

          void updateUserSession(UserSessionModel userSession,
                                 boolean offline)

    - #### removeUserSession

          void removeUserSession(String userSessionId,
                                 boolean offline)

    - #### removeClientSession

          void removeClientSession(String clientSessionId,
                                   boolean offline)

    - #### onRealmRemoved

          void onRealmRemoved(RealmModel realm)

    - #### onClientRemoved

          void onClientRemoved(RealmModel realm,
                               ClientModel client)

    - #### onUserRemoved

          void onUserRemoved(RealmModel realm,
                             UserModel user)

    - #### clearDetachedUserSessions

          void clearDetachedUserSessions()

    - #### updateAllTimestamps

          void updateAllTimestamps(int time)

    - #### loadUserSessions

          List<UserSessionModel> loadUserSessions(int firstResult,
                                                  int maxResults,
                                                  boolean offline)

    - #### getUserSessionsCount

          int getUserSessionsCount(boolean offline)

Copyright © 2016 JBoss by Red Hat. All rights reserved.